#ifndef SCANNER_H
#define SCANNER_H

#include <glib-object.h>
#include <nfc/nfc.h>

G_BEGIN_DECLS

#define YACOS_TYPE_SCANNER yacos_scanner_get_type()
G_DECLARE_FINAL_TYPE(YacosScanner, yacos_scanner, YACOS, SCANNER, GObject)

YacosScanner *yacos_scanner_new(void);

typedef uint32_t yacos_tag_id;

enum YACOS_SCANNER_TAG_TYPE {
	TAG_TYPE_NONE = 0,
	TAG_TYPE_ITEM,
	TAG_TYPE_ID
};

struct yacos_scanner_tag {
	yacos_tag_id tag_id; // TODO: Maybe make this a uint64
	enum YACOS_SCANNER_TAG_TYPE tag_type;
};

gchar *yacos_tag_id_to_str(yacos_tag_id tag_id);
GList *yacos_scanner_get_present_tags(YacosScanner *scanner);

G_END_DECLS

#endif // SCANNER_H
